### Enumeration

# Fwupd InstallFlags

#### Declaration

    flags Fwupd.InstallFlags

#### Description [src]

Flags to set when performing the firmware update or install.

#### Members

Name | Description
--- | ---
`FWUPD_INSTALL_FLAG_NONE` | No flags set.
`FWUPD_INSTALL_FLAG_ALLOW_REINSTALL` | Allow reinstalling the same version.
`FWUPD_INSTALL_FLAG_ALLOW_OLDER` | Allow downgrading firmware.
`FWUPD_INSTALL_FLAG_FORCE` | Force the update even if not a good idea.
`FWUPD_INSTALL_FLAG_NO_HISTORY` | Do not write to the history database.
`FWUPD_INSTALL_FLAG_ALLOW_BRANCH_SWITCH` | Allow firmware branch switching.
`FWUPD_INSTALL_FLAG_IGNORE_CHECKSUM` | This is now unused; see `FuFirmwareParseFlags`.
`FWUPD_INSTALL_FLAG_IGNORE_VID_PID` | This is now unused; see `FuFirmwareParseFlags`.
`FWUPD_INSTALL_FLAG_NO_SEARCH` | This is now only for internal use.
`FWUPD_INSTALL_FLAG_IGNORE_REQUIREMENTS` | Ignore version requirement checks.
`FWUPD_INSTALL_FLAG_ONLY_EMULATED` | Only install to emulated devices.